/*
 * Copyright (C) 2005-2007 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file vss.h exported functions from vss.c (para_server) */
void vss_init(void);
void vss_send_chunk(void);
struct timeval *vss_preselect(void);
const char *audio_format_name(int);
unsigned int vss_playing(void);
unsigned int vss_next(void);
unsigned int vss_repos(void);
unsigned int vss_paused(void);
char *vss_get_header(size_t *header_len);
struct timeval *vss_chunk_time(void);
int guess_audio_format(const char *name);
const char *supported_audio_formats(void);
int vss_get_chunk(long unsigned chunk_num, char **buf, size_t *len);

/** stop playing after current audio file */
#define VSS_NOMORE 1
/** skip remaining part of current audio file */
#define VSS_NEXT 2
/** a reposition request was sent by a client */
#define VSS_REPOS 4
/** currently playing */
#define VSS_PLAYING 8
/** a client requested to change the audio file selector */
#define VSS_CHANGE 16
